Bug 57078 - rpm-4.0.3 of RH7.2 not creating .rpmsave files
rpm-4.0.3 of RH7.2 not creating .rpmsave files
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: 60377 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-12-04 09:44 EST by Jukka Lehti
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-04 08:18:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
rh72_output (13.81 KB, text/plain)
2001-12-10 03:27 EST, Jukka Lehti
no flags Details
rh71_output (7.03 KB, text/plain)
2001-12-10 03:29 EST, Jukka Lehti
no flags Details

  None (edit)
Description Jukka Lehti 2001-12-04 09:44:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6+) Gecko/20011129

Description of problem:
When using the rpm spec file (see below), rpm-4.0.2 of RH7.1 creates an
.rpmsave file as expected during upgrade. When upgrading with rpm-4.0.3 of
RH7.2, no .rpmsave file is created. source0 is a .tar.gz containing a text
file which can be modified.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create testrpm-1.0-1 with attached spec file. testrpm-1.0.tar.gz should
contain file testrpm.conf file.
2.Install the package with rpm -Uvh testrpm*rpm
3.Modify /etc/testrpm.conf and testrpm.conf in .tar.gz so that they differ
from each other and from the file from 1.0-1.
4.Bumb testrpm release to 2 and build testrpm-1.0-2.
5.Upgrade with rpm -Uvh testrpm*rpm.

Actual Results:  A .rpmsave file is created under RH7.1, not under RH7.2!
The /etc/testrpm.conf is overwritten with the file from the new rpm package.

Expected Results:  A .rpmsave file should be created with 7.2.

Additional info:

testrpm.spec used was:

Summary: A test RPM
Name: testrpm
Version: 1.0
Release: 1
License: BSD
Group: System Environment/Base
Vendor: Anonymous
Packager: Anonymous
source0: testrpm-1.0.tar.gz

A test RPM.

mkdir -p $RPM_BUILD_ROOT/etc


cp testrpm.conf $RPM_BUILD_ROOT/etc






%config /etc/testrpm.conf

* Wed Dec 4 2001 Anonymous
- initial version
Comment 1 Jeff Johnson 2001-12-05 11:09:07 EST
Try the upgrade with -vv, and find the file disposition
in the output. What is the file disposition?
Comment 2 Jukka Lehti 2001-12-10 03:27:38 EST
Created attachment 40249 [details]
Comment 3 Jukka Lehti 2001-12-10 03:29:22 EST
Created attachment 40250 [details]
Comment 4 Jukka Lehti 2001-12-10 03:31:25 EST
Created two attachments, created under RH7.1 and RH7.2 with:

rpm -vv -Uvh testrpm-1.0-1.rpm > file 2>&1
[edited /etc/testrpm.conf]
rpm -vv -Uvh testrpm-1.0-2.rpm > file 2>&1
Comment 5 Jukka Lehti 2002-02-01 03:19:13 EST
So, any news about this? It's been a while...
Comment 6 Jeff Johnson 2002-02-01 17:31:22 EST
It's a bug, introduced by a change in rpm-4.0.3, where files
from the payload are now unpacked into a temp file that
is renamed into place, rather than the traditional behavior,
writing directly intoi the file.

This won't be fixed in rpm-4.0.4 -- it's been too late for a while --
 but will be fixed soon thereafter.
Comment 7 Jukka Lehti 2002-02-04 08:18:44 EST
Ok, I'll be waiting.

Thanks for your kind answers.
Comment 8 Jeff Johnson 2002-03-22 00:23:39 EST
Fixed in rpm-4.0.4-7x.8. Thanks for the report.
Comment 9 Alexander Larsson 2002-03-22 10:06:46 EST
*** Bug 60377 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.